Summary:	A sophisticated file transfer program
Name:		lftp
Version:	4.7.0
Release:	1
License:	GPLv3+
Group:		Applications/Internet
Source0:	ftp://ftp.yar.ru/lftp/%{name}-%{version}.tar.bz2
Source1:	ftp://ftp.yar.ru/lftp/%{name}-%{version}.tar.bz2.asc
Source2:	ftp://ftp.yar.ru/lftp/%{name}-%{version}.md5sum
Patch0:		%{name}-%{version}-aix.patch
URL:		http://lftp.yar.ru/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	gnutls-devel >= 2.12.23-1
BuildRequires:	pkg-config
BuildRequires:	readline-devel >= 5.2-3
BuildRequires:	readline-devel < 6.0
BuildRequires:	expat-devel >= 2.1.0-1
BuildRequires:	gettext, gcc, gcc-c++
BuildRequires:	libiconv >= 1.14-2
BuildRequires:	zlib-devel >= 1.2.4
Requires:	bash
Requires:	gnutls >= 2.12.23-1
Requires:	pkg-config
Requires:	readline >= 5.2-3
Requires:	gettext
Requires:	expat >= 2.1.0-1
Requires:	libgcc >= 4.5.4-1, libstdc++ >= 4.5.4-1
Requires:	libiconv >= 1.14-2
Requires:	zlib >= 1.2.4

BuildConflicts:	ncurses

%description
LFTP is a sophisticated ftp/http file transfer program. Like bash, it has job
control and uses the readline library for input. It has bookmarks, built-in
mirroring, and can transfer several files in parallel. It is designed with
reliability in mind.


%prep
%setup -q
%patch0


%build
export CONFIG_SHELL=/usr/bin/ksh
export CONFIG_ENV_ARGS=/usr/bin/ksh

export CC="gcc -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGE_FILES"
export CFLAGS="-DSYSV -D_AIX -D_AIX32 -D_AIX41 -D_AIX43 -D_AIX51 -D_ALL_SOURCE -DFUNCPROTO=15 -O -I/opt/freeware/include"

export CXX=g++
export CXXFLAGS=${CFLAGS}

export LD=ld
export LDFLAGS="-L/opt/freeware/lib -Wl,-blibpath:/opt/freeware/lib:/usr/lib:/lib -Wl,-bmaxdata:0x80000000"

./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --enable-shared --disable-static \
    --with-gnutls
make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc BUGS COPYING ChangeLog FAQ FEATURES README* NEWS THANKS TODO
%config(noreplace) %{_sysconfdir}/lftp.conf
%{_bindir}/*
%{_mandir}/man?/*
%{_libdir}/lib%{name}*
%{_datadir}/%{name}
%{_datadir}/locale/*/*/*
/usr/bin/*


%changelog
* Mon Apr 25 2016 Michael Perzl <michael@perzl.org> - 4.7.0-1
- updated to version 4.7.0

* Wed Dec 23 2015 Michael Perzl <michael@perzl.org> - 4.6.5-1
- updated to version 4.6.5

* Wed Dec 23 2015 Michael Perzl <michael@perzl.org> - 4.6.4-1
- updated to version 4.6.4

* Tue Jun 30 2015 Michael Perzl <michael@perzl.org> - 4.6.3a-1
- updated to version 4.6.3a

* Sun Apr 19 2015 Michael Perzl <michael@perzl.org> - 4.6.2-1
- updated to version 4.6.2

* Wed Jan 21 2015 Michael Perzl <michael@perzl.org> - 4.6.1-1
- updated to version 4.6.1

* Mon Oct 13 2014 Michael Perzl <michael@perzl.org> - 4.6.0-1
- updated to version 4.6.0

* Mon Oct 13 2014 Michael Perzl <michael@perzl.org> - 4.5.6-1
- updated to version 4.5.6

* Thu Sep 18 2014 Michael Perzl <michael@perzl.org> - 4.5.5-1
- updated to version 4.5.5

* Wed Aug 27 2014 Michael Perzl <michael@perzl.org> - 4.5.4-1
- updated to version 4.5.4

* Mon Jul 21 2014 Michael Perzl <michael@perzl.org> - 4.5.3-1
- updated to version 4.5.3

* Wed Jun 18 2014 Michael Perzl <michael@perzl.org> - 4.5.2-1
- updated to version 4.5.2

* Wed Jun 18 2014 Michael Perzl <michael@perzl.org> - 4.5.1-1
- updated to version 4.5.1

* Wed Jun 18 2014 Michael Perzl <michael@perzl.org> - 4.5.0-1
- updated to version 4.5.0

* Thu Feb 06 2014 Michael Perzl <michael@perzl.org> - 4.4.16-1
- updated to version 4.4.16

* Thu Feb 06 2014 Michael Perzl <michael@perzl.org> - 4.4.15-1
- updated to version 4.4.15

* Wed Jan 01 2014 Michael Perzl <michael@perzl.org> - 4.4.14-1
- updated to version 4.4.14

* Thu Nov 28 2013 Michael Perzl <michael@perzl.org> - 4.4.13-1
- updated to version 4.4.13

* Tue Nov 12 2013 Michael Perzl <michael@perzl.org> - 4.4.11-1
- updated to version 4.4.11

* Tue Oct 15 2013 Michael Perzl <michael@perzl.org> - 4.4.10-1
- updated to version 4.4.10

* Mon Sep 23 2013 Michael Perzl <michael@perzl.org> - 4.4.9-1
- updated to version 4.4.9

* Mon Jul 01 2013 Michael Perzl <michael@perzl.org> - 4.4.8-1
- updated to version 4.4.8

* Mon May 20 2013 Michael Perzl <michael@perzl.org> - 4.4.6-1
- updated to version 4.4.6

* Mon Mar 18 2013 Michael Perzl <michael@perzl.org> - 4.4.5-1
- updated to version 4.4.5

* Mon Mar 04 2013 Michael Perzl <michael@perzl.org> - 4.4.4-1
- updated to version 4.4.4

* Tue Feb 19 2013 Michael Perzl <michael@perzl.org> - 4.4.3-1
- updated to version 4.4.3

* Tue Feb 05 2013 Michael Perzl <michael@perzl.org> - 4.4.2-1
- updated to version 4.4.2

* Tue Jan 29 2013 Michael Perzl <michael@perzl.org> - 4.4.1-1
- updated to version 4.4.1

* Fri Sep 28 2012 Michael Perzl <michael@perzl.org> - 4.4.0-1
- updated to version 4.4.0

* Tue Aug 14 2012 Michael Perzl <michael@perzl.org> - 4.3.8-1
- updated to version 4.3.8

* Thu May 31 2012 Michael Perzl <michael@perzl.org> - 4.3.7-1
- updated to version 4.3.7

* Mon Apr 02 2012 Michael Perzl <michael@perzl.org> - 4.3.6-1
- updated to version 4.3.6

* Fri Jan 27 2012 Michael Perzl <michael@perzl.org> - 4.3.5-1
- updated to version 4.3.5

* Fri Oct 21 2011 Michael Perzl <michael@perzl.org> - 4.3.3-1
- updated to version 4.3.3

* Fri Sep 23 2011 Michael Perzl <michael@perzl.org> - 4.3.2-1
- updated to version 4.3.2

* Wed Jun 29 2011 Michael Perzl <michael@perzl.org> - 4.3.1-1
- updated to version 4.3.1

* Sat Jun 25 2011 Michael Perzl <michael@perzl.org> - 4.3.0-1
- updated to version 4.3.0

* Mon May 09 2011 Michael Perzl <michael@perzl.org> - 4.2.3-1
- updated to version 4.2.3

* Wed Apr 13 2011 Michael Perzl <michael@perzl.org> - 4.2.2-1
- updated to version 4.2.2

* Fri Feb 11 2011 Michael Perzl <michael@perzl.org> - 4.1.3-1
- updated to version 4.1.3

* Mon Jan 10 2011 Michael Perzl <michael@perzl.org> - 4.1.2-1
- updated to version 4.1.2

* Fri Nov 26 2010 Michael Perzl <michael@perzl.org> - 4.1.1-1
- updated to version 4.1.1

* Tue Nov 23 2010 Michael Perzl <michael@perzl.org> - 4.1.0-1
- updated to version 4.1.0

* Sat Sep 04 2010 Michael Perzl <michael@perzl.org> - 4.0.10-1
- updated to version 4.0.10

* Mon Jul 02 2010 Michael Perzl <michael@perzl.org> - 4.0.9-2
- removed dependency on gettext >= 0.17

* Mon Jun 21 2010 Michael Perzl <michael@perzl.org> - 4.0.9-1
- updated to version 4.0.9

* Fri May 28 2010 Michael Perzl <michael@perzl.org> - 4.0.8-1
- updated to version 4.0.8
- fixed the large files issue (no more patch required)

* Thu Jan 07 2010 Michael Perzl <michael@perzl.org> - 4.0.5-1
- updated to version 4.0.5

* Thu Dec 17 2009 Michael Perzl <michael@perzl.org> - 4.0.4-1
- updated to version 4.0.4

* Fri Dec 11 2009 Michael Perzl <michael@perzl.org> - 4.0.3-1
- updated to version 4.0.3

* Mon Sep 21 2009 Michael Perzl <michael@perzl.org> - 4.0.1-1
- updated to version 4.0.1

* Thu Aug 27 2009 Michael Perzl <michael@perzl.org> - 3.7.15-1
- updated to version 3.7.15

* Fri Jun 26 2009 Michael Perzl <michael@perzl.org> - 3.7.13-1
- updated to version 3.7.13

* Mon Mar 30 2009 Michael Perzl <michael@perzl.org> - 3.7.11-1
- first version for AIX V5.1 and higher
